Bug 275312 - Phonon apps do not recognize certain supported file types with VLC backend
Summary: Phonon apps do not recognize certain supported file types with VLC backend
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-vlc
Classification: Unclassified
Component: general (show other bugs)
Version: 0.2.0
Platform: Fedora RPMs Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-10 01:13 UTC by Mathias Panzenböck
Modified: 2011-07-05 09:34 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Panzenböck 2011-06-10 01:13:08 UTC
Version:           0.2.0 (using KDE 4.6.3) 
OS:                Linux

There are certain file types supported by VLC and thus also by Phonon when using the VLC backend that are not recognized as being supported. Such file types are *.it (Impulse Tracker), *.s3m (ScreamTracker III) and *.xm (Fasttracker II). Playing these files calling Dragon Player from the shell (`dragon milky.xm`) works, but you cannot open a file with such an extension using the file open dialog. Amarok won't event let you add such files to your playlist. In fact it removes all such files from your playlist and collection when you restart it using the VLC backend.

Reproducible: Always

Steps to Reproduce:
Try to open a *.it/*.s3m/*.xm file using the file open dialog of Dragon Player/Amarok.

Actual Results:  
File cannot be opened.

Expected Results:  
Open and play file.
Comment 1 Harald Sitter 2011-06-10 02:51:39 UTC
Git commit df99d1f9fe1f635769384558d321f34e8f0129b1 by Harald Sitter.
Committed on 10/06/2011 at 02:51.
Pushed by sitter into branch 'master'.

Add it, s3m and xm as supported mimetypes

BUG: 275312

M  +3    -0    src/backend.cpp     
M  +1    -1    src/vlc.desktop.cmake     

http://commits.kde.org/phonon-vlc/df99d1f9fe1f635769384558d321f34e8f0129b1
Comment 2 Mathias Panzenböck 2011-06-10 03:05:06 UTC
Wow thanks for the fast response! I hope this will be in Fedora stable packages soon. :)
Comment 3 Harald Sitter 2011-06-10 03:25:17 UTC
If not, just file a bug in the Fedora bug tracking system. This fix is trivial enough for them to just patch in. :)
Comment 4 Mathias Panzenböck 2011-06-27 00:14:03 UTC
Oh I forgot to mention *.mod files (ProTracker, audio/x-mod) which is the original module file format and of course also supported by vlc. This file format has various aliases: *.module, *.nst, *.wow. But they are very uncommon (never seen them, but then I don't listen to that much module files).
Comment 5 Harald Sitter 2011-07-05 09:34:47 UTC
Git commit 744635720810018fb8c94cc862c1a565aa93256b by Harald Sitter.
Committed on 10/06/2011 at 02:51.
Pushed by sitter into branch '0.4'.

Add it, s3m and xm as supported mimetypes

BUG: 275312

M  +3    -0    vlc/backend.cpp     
M  +1    -1    vlc/vlc.desktop.cmake     

http://commits.kde.org/phonon-vlc/744635720810018fb8c94cc862c1a565aa93256b